import Auth from '@/views/layout/auth'
import { router, rootRouter } from './routes-common'

type metaType = {
  isRegister: boolean
}

// 不需要登录的路由
const noLoginRouter = [

]

export default [
  {
    path: '/',
    component: Auth,
    children: [
      ...router,
      {
        path: '/login',
        name: 'login',
        component: () => import('@/views/layout/login'),
        meta: {
          isRegister: false
        } as metaType
      },
      {
        path: '/home',
        name: 'home',
        component: () => import('@/school/home/index')
      },
      {
        path: '/my-orchestra',
        name: 'my-orchestra',
        component: () => import('@/school/orchestra/index'),
        meta: {
          title: '我的乐团'
        }
      },
      {
        path: '/create-orchestra',
        name: 'create-orchestra',
        component: () => import('@/school/orchestra/create-orchestra'),
        meta: {
          title: '新建乐团'
        }
      },
      {
        path: '/mass-message',
        name: 'mass-message',
        component: () => import('@/school/mass-message/index'),
        meta: {
          title: '群发记录'
        }
      }, {
        path: '/create-message',
        name: 'create-message',
        component: () => import('@/school/mass-message/create-message'),
        meta: {
          title: '群发消息'
        }
      }
    ]
  },
  ...rootRouter,
  ...noLoginRouter
]
