import OHeader from '@/components/o-header'
import OSticky from '@/components/o-sticky'
import { Button, Cell, CellGroup, Field } from 'vant'
import { defineComponent } from 'vue'
import styles from '../index.module.less'

export default defineComponent({
  name: 'create-orchestra',
  setup() {
    return () => (
      <div class={styles['create-orchestra']}>
        <OHeader />

        <CellGroup inset>
          <Field label="乐团名称" placeholder="请输入乐团名称" inputAlign="right" maxlength={30} />
          <Field label="乐团声部" readonly placeholder="选择声部" isLink inputAlign="right" />

          {[1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 7, 8, 9, 10].map((item: any) => (
            <Cell title="长笛" isLink>
              {{
                value: () => (
                  <>
                    已选 <span style={{ color: 'var(--van-primary-color)' }}>{item + 1}</span>
                    名学生
                  </>
                )
              }}
            </Cell>
          ))}
        </CellGroup>

        <OSticky position="bottom">
          <div class={['btnGroup']}>
            <Button type="primary" block round>
              下一步
            </Button>
          </div>
        </OSticky>
      </div>
    )
  }
})
